Deals
GB GBP

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.

D-Link 24-port Gigabit Smart Managed Switch with

D-Link · Network Switch

D-Link 24-port Gigabit Smart Managed Switch with price in United Kingdom

Model DGS-1250-28XMPN DGS-1250-28X/EMPN DGS-1250-28XEAN 790069467875EAN 790069448164

  • Memory2048 MB
  • Noise47.6 dB
  • Weight3.86 kg
  • ColourBlack

Lowest price incl. delivery

£162.50

at PCHUB.UKFree deliveryIn stock

  • 3 stores
  • Range £162.50 – £309.72
  • Save up to £147.22 vs. the dearest store
  • 3 in stock
  • 2 with free delivery
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in United Kingdom

3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC

Lowest price£162.50at PCHUB.UK · free shippingGo to PCHUB.UK (opens in a new tab)
Price range across 5 offers

Save up to £147.22 (48%) by choosing the cheapest store

  • 3 of 3 stores in stock
  • 2 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. PCHUB.UKLowest priceD-Link 24-port Gigabit Smart Managed Switch with 4x 10G SFP+ In stockFree shipping
    £162.50incl. free shipping
    Go to store : PCHUB.UK (opens in a new tab)
  2. Back to the OfficeD-Link 24-port Gigabit Smart Managed Switch with 4x 10G SFP+ In stockFree shipping
    £204.99incl. free shipping+£42.49 (26%) vs lowest
    Go to store : Back to the Office (opens in a new tab)
  3. PCHUB.UKD-Link 24-port Gigabit Smart Managed Switch with 4x 10G SFP+ In stockFree shipping
    £309.72incl. free shipping+£147.22 (91%) vs lowest
    Go to store : PCHUB.UK (opens in a new tab)
  4. PcNova.co.ukD-Link 24-port Gigabit Smart Managed Switch with 4x 10G SFP+ In stockShipping not stated
    £162.50item price, shipping extra
    Go to store : PcNova.co.uk (opens in a new tab)
  5. PcNova.co.ukD-Link 24-port Gigabit Smart Managed Switch with 4x 10G SFP+ In stockShipping not stated
    £309.72item price, shipping extra+£147.22 (91%) vs lowest
    Go to store : PcNova.co.uk (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in United Kingdom

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Product details

Identification

Brand
D-Link
Product
24-port Gigabit Smart Managed Switch with
Full name
D-Link 24-port Gigabit Smart Managed Switch with 4x 10G SFP+
Manufacturer part number
DGS-1250-28X/E, DGS-1250-28X
EAN / UPC
790069467875, 790069448164, 790069481888, 5704174940432

94 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL3
Quality of Service (QoS) supportYes
Web-based managementYes
ARP inspectionYes
Configuring Location Settings (CLI)Yes
System event logYes
MIB supportRFC2893, RFC4213, RFC4291, RFC2464, RFC2462, RFC4862, RFC2461, RFC4861, RFC2573, RFC1321, RFC2284, RFC2865, RFC2716, RFC3580, RFC826, RFC2463, RFC4443, RFC792, RFC793, RFC768, RFC791, RFC2389, RFC4113, RFC4022, RFC2618, RFC2674, RFC1398, RFC1643, RFC1650, RFC2358, RFC2665, RFC2021, RFC271, RFC1757,

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity24
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity0
Installed SFP+ modules quantity0
SFP+ module slots quantity4
Console portRJ-45

Network

Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportYes
Copper ethernet cabling technology10BASE-T, 100BASE-TX, 1000BASE-T
Cable types supportedCat5, Cat5e
Port mirroringYes
Full duplexYes
Auto MDI/MDI-XYes
Broadcast storm controlYes
Flow control supportYes
Head-of-line (HOL) blockingYes
Link aggregationYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresVoice VLAN
Number of VLANs4094

Optical fiber

Fiber ethernet cabling technology100BASE-FX, 1000BASE-LHX, 1000BASE-X, 1000BASE‑LX, 1000BASE‑SX, 1000BASE‑ZX

Data transmission

MAC address table16000 entries
Switching capacity128 Gbit/s
Forwarding rate95.24 Mpps
Store-and-forwardYes
Static routeYes
Number of static routes124
Jumbo frames supportYes
Jumbo frames12000
Packet buffer memory12 MB

Security

DHCP featuresDHCP client, DHCP server, DHCP snooping
Access Control List (ACL)Yes
Access Control List (ACL) rules768
IGMP snoopingYes
IP-MAC-Port bindingYes
Loop protectionYes
Queue scheduling algorithmsWeighted Round Robin (WRR)
Security algorithmsEAP, MD5, PEAP, SSH, SSL/TLS, TTLS

Multicast features

Multicast supportYes

Design

Rack mountingYes
Product colourBlack
LED indicatorsActivity, Link, Power, Speed
Electromagnetic compatibilityCE A, VCCI A, FCC A, IC, BSMI

Performance

Memory typeDDR3-SDRAM
Internal memory2048 MB
Flash memory64 MB
Firmware upgradeableYes
Noise level47.6 dB
Mean time between failures (MTBF)743482.45 h

Power

Power supply includedYes
AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)30.6 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)No

Operational conditions

Operating temperature (T-T)-5 - 50 °C
Storage temperature (T-T)-20 - 70 °C
Operating relative humidity (H-H)0 - 95%
Storage relative humidity (H-H)0 - 95%
Heat dissipation104.346 BTU/h

Weight & dimensions

Width440 mm
Depth140 mm
Height44 mm
Weight3.86 kg

Packaging data

Package width282 mm
Package depth563 mm
Package height89 mm
Package weight2.97 kg

Technical details

Master (outer) cases per pallet (air)24 pc(s)
Master (outer) cases per pallet (sea)24 pc(s)
Pallet gross length110 cm
Pallet gross weight (air)407.6 kg
Pallet gross weight (sea)407.6 kg
Pallet gross width120 cm
Pallet height (air)2.04 m
Pallet height (sea)2.04 m
Products per pallet (air)120 pc(s)
Products per pallet (sea)120 pc(s)
Products per shipping (inner) case5 pc(s)
Shipping (inner) case gross weight16.2 kg
Shipping (inner) case height31.8 cm
Shipping (inner) case length58.5 cm
Shipping (inner) case net weight11.6 kg
Shipping (inner) case width47.8 cm

Certificates

CertificationCB, UL, BSMI, CCC

Logistics data

Harmonized System (HS) code85176990

More network switches deals in United Kingdom

All network switches deals